Bug 93485 - Middle-of-curved-connector anchor moves away from the curve if edited
Summary: Middle-of-curved-connector anchor moves away from the curve if edited
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Connectors
  Show dependency treegraph
 
Reported: 2015-08-17 13:38 UTC by max.gilead
Modified: 2022-02-26 03:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshots with a visual explanation (43.44 KB, image/png)
2015-08-17 13:38 UTC, max.gilead
Details
Sample document (8.37 KB, application/vnd.oasis.opendocument.graphics)
2015-08-17 13:39 UTC, max.gilead
Details

Note You need to log in before you can comment on or make changes to this bug.
Description max.gilead 2015-08-17 13:38:56 UTC
Created attachment 117972 [details]
Screenshots with a visual explanation

To reproduce:
* connect two objects with a curved connector so that it forms an 'S' shape
* anchor another connector to its middle
* change the curved connector's shape by dragging its centre

Result: the middle connector moved away from the curve

Expected: the middle connector stays on the curve, roughly 50% along its length
Comment 1 max.gilead 2015-08-17 13:39:37 UTC
Created attachment 117973 [details]
Sample document
Comment 2 max.gilead 2015-08-17 13:40:51 UTC
Possibly related to Bug 93156
Comment 3 max.gilead 2015-08-17 13:42:16 UTC
I marked this as major as this breaks a feature and there's no obvious workaround (except for repositioning the element manually, which is rather 'not using the feature').
Comment 4 max.gilead 2015-08-17 13:57:55 UTC
Just verified with libreoffice-5-0~2015-08-17_07.55.53_LibreOfficeDev_5.0.2.0.0_MacOS_x86-64.dmg and the issue is still present.
Comment 5 Buovjaga 2015-09-08 10:12:14 UTC
Reproduced.
I think it's minor according to our criteria, though: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b3de73f32af6276a60f5678861c461631a75e743
TinderBox: Win-x86@39, Branch:master, Time: 2015-09-01_06:18:16
Locale: en-US (fi_FI)

4.3.0.1
Comment 6 QA Administrators 2016-09-20 10:29:09 UTC Comment hidden (obsolete)
Comment 7 eisa01 2018-03-17 13:55:27 UTC
Still present

Version: 6.1.0.0.alpha0+
Build ID: 8e8dd8f320a3ff59ff8a16c1a7a867888ce80700
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-03-13_23:59:29
Locale: en-US (en_US.UTF-8); Calc: group
Comment 8 QA Administrators 2019-03-18 03:45:05 UTC Comment hidden (obsolete)
Comment 9 eisa01 2019-04-20 17:06:50 UTC
Still present

On 3.3 it doesn't even try to move, so not setting as inherited

Version: 6.3.0.0.alpha0+
Build ID: ea9c13be02ba731074fa4207944ff7df40a0fb5c
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-04-10_20:43:17
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 10 Buovjaga 2019-04-20 17:09:47 UTC
(In reply to eisa01 from comment #9)
> Still present
> 
> On 3.3 it doesn't even try to move, so not setting as inherited

Do you mean this is a regression?
Comment 11 eisa01 2019-04-20 17:15:53 UTC
No, it was just more broken on 3.3 :)
Comment 12 Regina Henschel 2019-05-16 15:01:03 UTC
I see several problems, but I would not divide the report, unless a developer decides, that they need to be handled separately.

The curve has a glue point in the middle of the curve, but this glue point is not written to file format. The default glue points of a shape are only those on the middle of the edges of the bounding box. So other glue points need to be written to the file explicitly.

A connector is no custom shape and therefore has no handles in file format. It is up to the application to provide handles to the user to transform the curve. LibreOffice sets handles in the middle of a line from one curve control point to the next. That is not intuitive for the user, because these control points are not visible to the user, even if he has enabled to show control points for Bézier-curves. PowerPoint has the handles always on the curve. That is better.

The svg:viewBox attribute does not fit to the svg:d attribute. The values in the svg:d element are in 1/100mm and measured from the left and top page edge, which means, point (0|0) is left top corner of the page. The viewBox uses the bounding box of the connector and has (0|0) at the left top of the bounding box.

The position of the middle handle of the curve is incomprehensible.

If the handle is moved, the curve preview does not show the changed curve, but the default one.
Comment 13 QA Administrators 2022-02-26 03:33:58 UTC
Dear max.gilead,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug